Skip to content

Results are limited to the current section: Cloud services

Product news

Update Progress For User And Package

PUT
/api/v1/learners/me/{package}
curl --request PUT \
--url https://example.com/api/v1/learners/me/QUANTUM_DISCOVERY \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "progress": { "additionalProperty": { "stage": "DONE", "timecode": 1 } } }'
package
required
ProjectPackage
string
Allowed values: QUANTUM_DISCOVERY QUANTUM_DISCOVERY_CHEMISTRY QUANTUM_DISCOVERY_LIGHT QUANTUM_DISCOVERY_PLAY QUANTUM_DISCOVERY_ESSENTIAL LEARN_BY_CODING VQPU
Media typeapplication/json
UpdateLearnerProgressSchema

Schema to parse request for the update of a learner.

object
progress
required
Progress
object
key
additional properties
StageType
object
stage
required
ProgressStage

Enumeration of progress types

string
Allowed values: DONE SKIP IN_PROGRESS
timecode
required
Any of:
integer

Successful Response

Media typeapplication/json
NonPaginatedResponse
object
data
Any of:
Array<object>
BaseModel
object
Examplegenerated
{
"data": {}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}